## vp8dec vp8dec |

## Properties

guint | deblocking-level | Read / Write
guint | noise-level | Read / Write
gboolean | post-processing | Read / Write
GstVP8DecPostProcessingFlags | post-processing-flags | Read / Write
guint | threads | Read / Write

## Types and Values

struct | GstVP8Dec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstVPXDec
                            ╰── GstVP8Dec

## Description

This element decodes VP8 streams into raw video.

VP8 is a royalty-free

video codec maintained by Google . It's the successor of On2 VP3, which was the base of the Theora video codec.

### Example pipeline

    1
    gst-launch-1.0 -v filesrc location=videotestsrc.webm ! matroskademux ! vp8dec ! videoconvert ! videoscale ! autovideosink

This example pipeline will decode a WebM stream and decodes the VP8 video.

## Synopsis

### Element Information

plugin | vpx
author | David Schleef <ds@entropywave.com>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-vp8

name | src
direction | source
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVP8Dec

    struct GstVP8Dec;

## Property Details

### The `“deblocking-level”` property

      “deblocking-level”         guint

Deblocking level.

Flags: Read / Write

Allowed values: <= 16

Default value: 4

### The `“noise-level”` property

      “noise-level”              guint

Noise level.

Flags: Read / Write

Allowed values: <= 16

Default value: 0

### The `“post-processing”` property

      “post-processing”          gboolean

Enable post processing.

Flags: Read / Write

Default value: FALSE

### The `“post-processing-flags”` property

      “post-processing-flags”    GstVP8DecPostProcessingFlags

Flags to control post processing.

Flags: Read / Write

Default value: Deblock|Demacroblock|Multi-frame quality enhancement

### The `“threads”` property

      “threads”                  guint

Maximum number of decoding threads.

Flags: Read / Write

Allowed values: [1,16]

Default value: 1

## See Also

vp8enc, matroskademux